
QGIS Application - Bug report #20636

Saving styles as SLD is broken

2018-11-27 04:08 AM - zackad developer

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.4.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 28456

Description

Step to reproduce:

    1. add vector layer to canvas

    2. right click on vector layer and select 'Properties'

    3. click 'Style' button and select 'Save Style...'

The expected sld file can't be generated.

History

#1 - 2018-11-27 08:39 AM - Giovanni Manghi

- Subject changed from Can't save style into sld file to Saving styles as SLD is broken

- Priority changed from Normal to High

- Affected QGIS version changed from 3.4.0 to 3.4.1

- Operating System deleted (Ubuntu 16.04)

- Regression? changed from No to Yes

Confirmed here too.

Message is like:

ERROR: Failed to created SLD style file as /home/giovanni/Desktop/test_style. Check file permissions and retry.

even if saving in a folder that clearly has write permissions.

#2 - 2019-02-15 01:46 PM - Paul Blottiere

- Status changed from Open to Feedback

Hi,

Can you provide some more information on the issue (provider, renderer, ...)?

Because I succeeded in saving the style of a GPKG layer and a PostGIS layer on master and with the 3.4 release.

#3 - 2019-02-18 03:16 AM - zackad developer

I've upload a video demo if that would help.
https://youtu.be/-CLllm52Rf0 (sorry for bad quality video)

My computer setup:

- Ubuntu 16.04

- using ubuntugis repository

- QGIS version 3.4.4

- using shapefile and gpkg as data source

also has this problem with windows version.

#4 - 2019-02-18 02:19 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.1 to 3.4.4

- Status changed from Feedback to Open

#5 - 2019-02-21 01:21 PM - Peter Petrik

unable to reproduce on MacOS  qgis 3.5 (master) with gpkg polygon layer.

#6 - 2019-02-21 01:22 PM - Giovanni Manghi

- Status changed from Open to Feedback

#7 - 2019-02-21 02:05 PM - zackad developer

Unable to reproduce on QGIS 3.4.4 Windows 10 and MacOS.

I think this is platform specific problem.

Maybe my ubuntu installation just to old or something is messed up.

#8 - 2019-03-08 10:17 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Also works here on Linux/3.6 and 3.4.5
